Returns one Worker-to-Site/Calendar chain and paged immutable history.
GET
/api/workspace/work-schedule/assignments/workers/{workerId}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/work-schedule/assignments/workers/example?page=1&pageSize=25"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/work-schedule/assignments/workers/example?page=1&pageSize=25';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspace/work-schedule/assignments/workers/example?page=1&pageSize=25' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workerId
required
string
Query Parameters
Section titled “Query Parameters”effectiveOnLocalDate
string format: date
page
integer format: int32
pageSize
integer format: int32
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Effective state and paged immutable history for one assignment chain.
object
SubjectKind
string
Subject
Field-safe reference to an operational catalog item.
object
Id
string
DisplayName
string
Number
string
EffectiveOnLocalDate
string format: date
EffectiveAssignment
One append-only assignment history row.
object
AssignmentId
string
OperationKind
string
SubjectKind
string
SubjectId
string
Site
Field-safe reference to an operational catalog item.
object
Id
string
DisplayName
string
Number
string
Calendar
Field-safe reference to a working calendar.
object
Id
string
Name
string
Enabled
boolean
HasPublishedRevision
boolean
InheritsSiteCalendar
boolean
EffectiveFromLocalDate
string format: date
RecordedAtUtc
string format: date-time
RecordedByUserId
string
CorrectsAssignmentId
string
ChangeReason
string
IsCorrection
boolean
IsEnd
boolean
History
Array<object>
One append-only assignment history row.
object
AssignmentId
string
OperationKind
string
SubjectKind
string
SubjectId
string
Site
Field-safe reference to an operational catalog item.
object
Id
string
DisplayName
string
Number
string
Calendar
Field-safe reference to a working calendar.
object
Id
string
Name
string
Enabled
boolean
HasPublishedRevision
boolean
InheritsSiteCalendar
boolean
EffectiveFromLocalDate
string format: date
RecordedAtUtc
string format: date-time
RecordedByUserId
string
CorrectsAssignmentId
string
ChangeReason
string
IsCorrection
boolean
IsEnd
boolean
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
ChainVersion
string
Diagnostics
Array<object>
Structured assignment diagnostic.
object
Code
string
Field
string
Actions
Server-computed actions for one assignment chain.
object
CanCreate
boolean
CanChange
boolean
CanCorrect
boolean
CanEnd
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}